'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var loginFormSelector = '.cspace-ui-LoginForm--common';

var getUsernameInput = function getUsernameInput() {
  return browser.$(loginFormSelector).$('input[name="username"]');
};
var getPasswordInput = function getPasswordInput() {
  return browser.$(loginFormSelector).$('input[name="password"]');
};
var getSubmitButton = function getSubmitButton() {
  return browser.$(loginFormSelector).$('button[type="submit"]');
};
var getPromptText = function getPromptText() {
  return browser.$(loginFormSelector).$('p').getText();
};
var isLoginFormVisible = function isLoginFormVisible() {
  return browser.isVisible(loginFormSelector);
};

var login = function login(username, password) {
  getUsernameInput().setValue(username);
  getPasswordInput().setValue([password, 'Enter']);
};

exports.default = function () {
  return {
    getUsernameInput: getUsernameInput,
    getPasswordInput: getPasswordInput,
    getSubmitButton: getSubmitButton,
    getPromptText: getPromptText,
    isLoginFormVisible: isLoginFormVisible,
    login: login
  };
};