'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var userMenuSelector = '.cspace-ui-UserMenu--common';

var getUserScreenName = function getUserScreenName() {
  return browser.$(userMenuSelector).getText().split('|', 1)[0].trim();
};
var getLogoutLink = function getLogoutLink() {
  return browser.$(userMenuSelector).$('a');
};
var isUserMenuVisible = function isUserMenuVisible() {
  return browser.isVisible(userMenuSelector);
};

var logout = function logout() {
  getLogoutLink().click();
};

exports.default = function () {
  return {
    getUserScreenName: getUserScreenName,
    getLogoutLink: getLogoutLink,
    isUserMenuVisible: isUserMenuVisible,
    logout: logout
  };
};